
From: Adrian Bunk <bunk@stusta.de>

The patch below makes two needlessly global functions static.

Signed-off-by: Adrian Bunk <bunk@stusta.de>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/arch/i386/kernel/msr.c   |    4 ++--
 25-akpm/arch/x86_64/kernel/msr.c |    4 ++--
 2 files changed, 4 insertions(+), 4 deletions(-)

diff -puN arch/i386/kernel/msr.c~i386-x86_64-msrc-make-two-functions-static arch/i386/kernel/msr.c
--- 25/arch/i386/kernel/msr.c~i386-x86_64-msrc-make-two-functions-static	2005-01-16 00:31:18.655843272 -0800
+++ 25-akpm/arch/i386/kernel/msr.c	2005-01-16 00:31:18.660842512 -0800
@@ -291,7 +291,7 @@ static struct notifier_block msr_class_c
 	.notifier_call = msr_class_cpu_callback,
 };
 
-int __init msr_init(void)
+static int __init msr_init(void)
 {
 	int i, err = 0;
 	i = 0;
@@ -328,7 +328,7 @@ out:
 	return err;
 }
 
-void __exit msr_exit(void)
+static void __exit msr_exit(void)
 {
 	int cpu = 0;
 	for_each_online_cpu(cpu)
diff -puN arch/x86_64/kernel/msr.c~i386-x86_64-msrc-make-two-functions-static arch/x86_64/kernel/msr.c
--- 25/arch/x86_64/kernel/msr.c~i386-x86_64-msrc-make-two-functions-static	2005-01-16 00:31:18.656843120 -0800
+++ 25-akpm/arch/x86_64/kernel/msr.c	2005-01-16 00:31:18.660842512 -0800
@@ -255,7 +255,7 @@ static struct file_operations msr_fops =
 	.open = msr_open,
 };
 
-int __init msr_init(void)
+static int __init msr_init(void)
 {
 	if (register_chrdev(MSR_MAJOR, "cpu/msr", &msr_fops)) {
 		printk(KERN_ERR "msr: unable to get major %d for msr\n",
@@ -266,7 +266,7 @@ int __init msr_init(void)
 	return 0;
 }
 
-void __exit msr_exit(void)
+static void __exit msr_exit(void)
 {
 	unregister_chrdev(MSR_MAJOR, "cpu/msr");
 }
_
